<template>
  <product
    v-if="pro"
    :product="pro"
  >
  </product>
</template>

<script>
import Vue from 'vue';
import axios from 'axios';
import Product from '~/components/Product.vue';
Vue.component('product', Product);

export default {
  asyncData ({ app, route }) {

    var str = route.params.product;
    var splitted = str.split('-');

    var id_product = splitted[0];
    var ipa = splitted[1];
    var key = 'product_' + id_product + '_' + ipa;

    var query = {
      comp: 'product',
      id: id_product,
      id_product_attribute: ipa
    };

    return app.$apix.get({
      url: '',
      key: key,
      component: 'product',
      query: query,
      cache: true
    }).then((res) => {

       return {
        pro: res
      }

    })

  },
  head () {
    return {
      link: [
        {
          rel: 'canonical',
          href: this.pro.canonical_url
        }
      ],
      script: [
        { innerHTML: JSON.stringify(this.pro.breadcrumb_schema), type: 'application/ld+json' },
        { innerHTML: JSON.stringify(this.pro.product_schema), type: 'application/ld+json' }
      ],
      title: this.pro.meta_title,
      meta: [
        { hid: 'description', name: 'description', content: this.pro.meta_description },
        { property: 'og:title', content: this.pro.meta_title },
        { property: 'og:description', content: this.pro.meta_description },
        { property: 'og:url', content: this.$store.state.current_domain + this.$route.path },
        { property: 'og:image', content: this.pro.og_image },
        { property: 'og:type', content: 'og:product' },
        { property: 'product:plural_title', content: this.pro.name },
        { property: 'product:price:amount', content: this.pro.price_amount },
        { property: 'product:price:currency', content: 'USD' }
      ]
    }
  }
}
</script>
